Retrieve all SSH Keys

View as Markdown

Retrieve all SSH Keys for the current Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

sshKeyGroupIdstringOptional
ID of the SSH Key Group
querystringOptional
Search for matches across all SSH Keys. Input will be matched against the name field
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response

idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the key
namestringOptional
Name of the SSHKey
orgstringOptional
Organization the SSHKey belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenant
fingerprintstringOptional
SHA256 fingerprint of the public key
createddatetimeOptionalRead-only

Date/time when the SSH key was created

updateddatetimeOptionalRead-only

Date/time when the SSH key was last updated

Errors

403
Forbidden Error